### File

`packages/core/src/lib/components/euim-multiselect/euim-multiselect-filter/euim-multiselect-filter.component.ts`

### Metadata

changeDetection | `ChangeDetectionStrategy.OnPush`
encapsulation | `ViewEncapsulation.None`
selector | `euim-multiselect-filter`
standalone | `true`
imports | `IonicModule`
styleUrls | `./styles/_index.scss`
templateUrl | `./euim-multiselect-filter.component.html`

### Index

###### Properties
className
###### Methods
applyStatusToSelectAllCheckControl handleChange
###### Inputs
filterByFieldsNames
###### HostBindings
class

### Constructor

`constructor(multiselect: EuimMultiselectComponent)`
Parameters :
Name | Type | Optional
multiselect | `EuimMultiselectComponent` | No

### Inputs

filterByFieldsNames
Type : `string[]`

### HostBindings

class
Type : `string`
Default value : `'euim-multiselect-filter'`

### Methods

applyStatusToSelectAllCheckControl
`applyStatusToSelectAllCheckControl()`
Returns : `void`

handleChange
`handleChange(event: any)`
Parameters :
Name | Type | Optional
event | `any` | No
Returns : `void`

### Properties

className
Type : `string`
Default value : `'euim-multiselect-filter'`
Decorators : `@HostBinding('class')`

# results matching ""

# No results matching ""